It was not possible to find any compatible framework version The framework 'Microsoft.AspNetCore.App', version '2.2.0' was not found

Dung Do Tien Nov 11 2020 110

After re-install window 10. I get project from git to driver of my computer and build & run it but I got error It was not possible to find any compatible framework version The framework 'Microsoft.AspNetCore.App', version '2.2.0' was not found.

HTTP Error 500.31 - ANCM Failed to Find Native Dependencies
Common solutions to this issue:
The specified version of Microsoft.NetCore.App or Microsoft.AspNetCore.App was not found.
Specific error detected by ANCM:
It was not possible to find any compatible framework version The framework 'Microsoft.AspNetCore.App', version '2.2.0' was not found. - The following frameworks were found: 2.1.23 at [C:\Program Files\dotnet\shared\Microsoft.AspNetCore.App] 3.1.9 at [C:\Program Files\dotnet\shared\Microsoft.AspNetCore.App] You can resolve the problem by installing the specified framework and/or SDK. The specified framework can be found at: - https://aka.ms/dotnet-core-applaunch?framework=Microsoft.AspNetCore.App&framework_version=2.2.0&arch=x64&rid=win10-x64
Troubleshooting steps:
Check the system event log for error messages
Enable logging the application process' stdout messages
Attach a debugger to the application process and inspect
For more information visit: https://go.microsoft.com/fwlink/?LinkID=2028526

My project is Asp.net Core version: 2.2

Asp.net core runtime installed on my computer: 3.1

I don't know why, before the re-install window it still runs working fine.

Have 1 answer(s) found.
  • This issue throws because your computer is not installing Asp.net core runtime 2.2. You can do as below.

    - Step 1: Open Visual Studio Installer on your computer.

    It was not possible to find any compatible framework version The framework 'Microsoft.AspNetCore.App', version '2.2.0' was not found

     

    - Step 2: Click Modify option to reinstall VS2019.

    It was not possible to find any compatible framework version The framework 'Microsoft.AspNetCore.App', version '2.2.0' was not found

     

    - Step 3: Select Individual Components tab, checked to checkbox .Net Core 2.2 Runtime(EOL) option.

    It was not possible to find any compatible framework version The framework 'Microsoft.AspNetCore.App', version '2.2.0' was not found

     

    And finally, click the Modify button.

    Restart visual and run your application. It'll fix issues for you.

    Sandeep Kumar Nov 11 2020
Leave An Answer
* NOTE: You need Login before leave an answer

* Type maximum 2000 characters.

* All comments have to wait approved before display.

* Please polite comment and respect questions and answers of others.

Popular Tips